<?php
namespace Ep;

return [
    'app' => [
        'development' => false,

        'middleware' =>  [
            'app.error_handler',
            'app.base_url',
        ],
    ],

    'log' => [
        'app.logger' => [
            'writers' => [[
                'name' => 'stream',
                'options' => [
                    'stream' => 'var/log/app.log',
                    'mode' => 'a+',
                ],
            ], [
                'name' => 'mail',
                'options' => [
                    'transport' => 'app.mailer',
                    'subject_prepend_text' => 'Greška na %s: ',
                    'mail' => [
                        'from' => 'app@ep.hr',
                        'to' => 'danijel@ep.hr',
                    ],
                ],
            ]],
        ],
    ],

    'mail' => [
        'transports' => [
            'app.mailer' => [
                'type' => 'sendmail',
            ],
        ],
    ],
];